// pages/home/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '历史记录'
    },
    activeName: 0,
    list: [],
    mealList: [
      { label: '早餐', key: 'breakfast' },
      { label: "午餐", key: 'lunch' },
      { label: "晚餐", key: "dinner" }
    ]
  },
  onChange(event) {
    this.setData({ activeName: Number(event.detail) });
  },
  detail: function (data) {
    const { id, label, isuse } = data.currentTarget.dataset;
    if (isuse == '0') {
      wx.showToast({ title: '待使用' })
    } else if (isuse == '1') {
      wx.showToast({ title: '待评价', })
    } else if (isuse == '2') {
      wx.showToast({ title: '已完成' })
    } else if (isuse == '3') {
      wx.showToast({ title: '已失效' })
    } else {
      wx.showToast({ title: '未订餐' })
    }
  },
  // 返回
  back: function () {
    wx.switchTab({
      url: '/pages/my/index',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.openid) {
      wx.request({
        url: `${app.globalData.publicUrl}/api/st/dining/order?openid=${'oDiAy5JAhb2ReM-LwmqbTCx5OteA'}`,
        method: "get",
        header: { 'x-tenant': app.globalData.tenant },
        data: {},
        success: res => {
          const { data } = res.data;
          this.setData({ list: data })
        },
        error: err => {
          wx.showToast({
            title: err.msg,
            icon: 'error'
          })
        }
      })
    }

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    // if (typeof this.getTabBar === 'function' &&
    //   this.getTabBar()) {
    //   this.getTabBar().setData({
    //     selected: 3
    //   })
    // }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})